libfuse

Data Fields
fuse_buf Struct Reference

`#include <fuse_common.h>`

## Data Fields
size_t | size
enum fuse_buf_flags | flags
void * | mem
int | fd
off_t | pos

## Detailed Description

Single data buffer

Generic data buffer for I/O, extended attributes, etc... Data may be supplied as a memory pointer or as a file descriptor

Definition at line 732 of file fuse_common.h.

## Field Documentation

## ◆ fd

int fuse_buf::fd

File descriptor

Used if FUSE_BUF_IS_FD flag is set.

Definition at line 755 of file fuse_common.h.

## ◆ flags

enum fuse_buf_flags fuse_buf::flags

Buffer flags

Definition at line 736 of file fuse_common.h.

## ◆ mem

void * fuse_buf::mem

Memory pointer

Used unless FUSE_BUF_IS_FD flag is set.

Definition at line 748 of file fuse_common.h.

## ◆ pos

off_t fuse_buf::pos

File position

Used if FUSE_BUF_FD_SEEK flag is set.

Definition at line 762 of file fuse_common.h.

## ◆ size

size_t fuse_buf::size

Size of data in bytes

Definition at line 736 of file fuse_common.h.

The documentation for this struct was generated from the following file:

- fuse-3.13.0/include/fuse_common.h